Looking up contract data by contract ID
POST
Looking up contract data by contract ID. This endpoint is experimental / alpha, therefore no backwards compatibility is guaranteed. This endpoint must not be used to look up contracts which entered the participant via party replication or repair service.
Protocol Details
Inputs
Request body
application/json
string
required
The ID of the contract. Must be a valid LedgerString (as described in
value.proto). Requiredstring[]
The list of querying parties The stakeholders of the referenced contract must have an intersection with any of these parties to return the result. If no querying_parties specified, all possible contracts could be returned. Optional: can be empty
Outputs
200
application/json
CreatedEvent
required
Records that a contract has been created, and choices may now be exercised on it.
400
text/plain
string
required
default
application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean
History
Changed
3.5The POST /v2/contracts/contract-by-id operation changed in this snapshot.
Introduced
3.4